import java.util.Scanner;
import java.io.File;

public class ScannerFromFile {

	public static void main(String[] args) throws Exception {
		if (args.length != 1) {
			System.err.println("Hiba: hianyzo faljnev. Futtatas:\njava ScannerFromFile [fajlnev]");
			System.exit(-1);
		}
		File file = new File(args[0]);
		if (!file.exists()) {
			System.err.println("Hiba: a megadott fajlnev nem letezik: " + args[0]);
			System.exit(-2);
		}
	
		String[] words = readWords(file);
		printWords(words);
	}
	
	public static String[] readWords(File file) throws Exception {
		Scanner scanner = new Scanner(file);
		
		int numberOfWords = scanner.nextInt();
		String[] result = new String[numberOfWords];
		for (int i = 0; i < numberOfWords; i++) {
			result[i] = scanner.next();
		}
		return result;
	}
	
	public static void printWords(String[] words) {
		for (String word : words) {
			System.out.println(word);
		}
	}
}
